%define origname commons-net

Name: jakarta-%origname
Version: 1.4.0
Release: alt1

%def_disable test

Summary: Jakarta Commons Net Package
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/commons/net/

%define pkgdocdir	%_docdir/%name-%version

Source: %origname-%version-src.tar.bz2
Patch0: %origname-1.3.0-notest.patch

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant j2se-devel
BuildRequires: jakarta-oro >= 2.0.8
%if_enabled test
BuildRequires: junit >= 3.8.1
BuildRequires: ant-junit
%endif

%description
This is an Internet protocol suite Java library originally developed by
ORO, Inc.  This version supports Finger, Whois, TFTP, Telnet, POP3, FTP,
NNTP, SMTP, and some miscellaneous protocols like Time and Echo as well
as BSD R command support. The purpose of the library is to provide
fundamental protocol access, not higher-level abstractions.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for %name.

%prep
%setup -q -n %origname-%version
%if_disabled test
%patch0 -p1
%endif
# remove all binary libs
find . -name '*.jar' -print0 | xargs -r0 rm -f
# sigh
find . -type f -print0 | xargs -r0 chmod 644

%build
%set_classpath %_javadir/jakarta-oro.jar
%if_enabled test
%add_classpath %_javadir/junit.jar
%endif
%ant_build -Dnoget=true -Dfinal.name=%origname dist

%install
# jars
mkdir -p $RPM_BUILD_ROOT%_javadir
install -m 644 dist/%origname.jar $RPM_BUILD_ROOT%_javadir/%name.jar
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%_javadocdir/%name
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%_javadocdir/%name

%files
%doc LICENSE.txt NOTICE.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Tue Jun 07 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- New upstream release

* Thu Dec 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.0-alt1
- New upstream release
- Use rpm-build-java macros
- Updated Patch0

* Sat Jun 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.2-alt1
- New upstream release

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.1-alt1
- New upstream release

* Tue May 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- New upstream release

* Sun Feb 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.0-alt1
- Adapted for Sisyphus from the JPackage project
